Subject: RE: IPP Last Call

From: Paul Moore <[email-masked]>
Date: Wed, 11 Feb 1998 16:19:32 -0800

a) It was not turned down 'at the time' - the choice did not exist. It was
turned down at the last WG for two reasons (mainly)
- It was too late 
- No complete proposal was presented, I actually elected to present it that
way so that people could debate the desirability in general rather than get
into detailed drill-downs. In retrospect that was probably a mistake, this
is why I have now made a complete proposal available.

b) What I was trying to say was that - since the proposal is presented in
terms of a spec that has a wide industry acceptance and is already widely
'interpreted' (you can buy books on it) this means that the is less
opportunity for misunderstanding. 

> -----Original Message-----
> From:	Keith Moore [SMTP:[email-masked]]
> Sent:	Wednesday, February 11, 1998 2:59 PM
> To:	Paul Moore
> Cc:	[email-masked]; [email-masked]; [email-masked]
> Subject:	Re: IPP Last Call 
> 
> Paul,
> 
> Please provide more detail about a couple of your objections to
> IPP's chosen data representation.
> 
> In particular:
> 
> > a) if XML had been available at the time we would have chosen to use it.
> 
> Okay, but IPP-WG chose not to do so, both "at the time", and again
> very recently. 
> 
> > b) It provides a much less ambigous specification (this leads to better
> > interop convergence)
> 
> Can you point out ambiguities in the existing IPP specification
> which would be made less ambiguous by reference to XML?
> 
> Keep in mind that there's more than one way to make a specification
> ambiguous or difficult to assimilate (the two the same effect
> on the quality of products developed from the specification). 
> 
> For instance, referencing some other spec might make the IPP less
> ambiguous, 
> but more difficult to assimilate, due to the greater learning curve.
> 
> --
> Keith Moore <[email-masked]>
> http://www.cs.utk.edu/~moore/
> Citizen of cyberspace, currently residing in Knoxville, Tennessee, USA.

---

From: Keith Moore <[email-masked]>
Date: Wed, 11 Feb 1998 19:27:32 -0500

> opportunity for misunderstanding. 

the existence of books on XML is not necessarily a favorable indicator.  
if XML encoding is simple and clearly defined in the specs, 
why do we need those books?

--
Keith Moore <[email-masked]>                 http://www.cs.utk.edu/~moore/
Citizen of cyberspace, currently residing in Knoxville, Tennessee, USA.